Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 478110 - gnome-base/gnome-3.8.0: blocking packages sys-fs/udev-206 and sys-apps/systemd-206
Summary: gnome-base/gnome-3.8.0: blocking packages sys-fs/udev-206 and sys-apps/system...
Status: RESOLVED DUPLICATE of bug 478476
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-25 09:40 UTC by Juergen Rose
Modified: 2013-08-03 20:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2013-07-25 09:40:31 UTC
'emerge -uvDN world' fails with:

root@leopard:/usr/src(146)# emerge -uvDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-libs/gobject-introspection-common-1.36.0 [1.34.2] 1,173 kB
[ebuild     U  ] gnome-base/gnome-common-3.7.4:3 [3.6.0:3] 149 kB
...
[ebuild     U  ] gnome-base/gnome-3.8.0:2.0 [3.6.2:2.0] USE="bluetooth cdr cups extras fallback -accessibility" 0 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-206, sys-auth/consolekit-0.4.6, app-admin/openrc-settingsd-1.0.1)

Total: 123 packages (106 upgrades, 15 new, 1 in new slot, 1 reinstall, 6 uninstalls), Size of downloads: 339,996 kB
Conflict: 11 blocks (2 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/webkit-gtk:3

  (net-libs/webkit-gtk-2.0.4::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/webkit-gtk-1.11.92:3[jit?] required by (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)

  (net-libs/webkit-gtk-1.10.2-r300::gentoo, installed) pulled in by
    >=net-libs/webkit-gtk-1.6:3/3= required by (net-libs/libproxy-0.4.11-r1::gentoo, installed)

media-libs/cogl:1.0

  (media-libs/cogl-1.14.0::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/cogl-1.14.0:1.0=[introspection?,pango] required by (media-libs/clutter-1.14.4-r1::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)

  (media-libs/cogl-1.12.2-r1::gentoo, installed) pulled in by
    >=media-libs/cogl-1.10:1.0/11=[introspection] required by (media-libs/clutter-gst-2.0.6::gentoo, installed)
    media-libs/cogl:1.0/11=[introspection] required by (x11-wm/muffin-1.1.2::gentoo, installed)
    media-libs/cogl:1.0/11=[introspection] required by (gnome-extra/cinnamon-1.6.7-r2::gentoo, installed)
...
gnome-base/gnome-desktop:3

  (gnome-base/gnome-desktop-3.8.3::gentoo, ebuild scheduled for merge) pulled in by
    >=gnome-base/gnome-desktop-3.8.0:3 required by (gnome-base/gnome-core-libs-3.8.0::gentoo, ebuild scheduled for merge)
    (and 4 more with the same problem)

  (gnome-base/gnome-desktop-3.6.3::gentoo, installed) pulled in by
    >=gnome-base/gnome-desktop-3.1.91:3/4= required by (gnome-extra/gnome-screensaver-3.6.1::gentoo, installed)
    (and 2 more with the same problem)

...

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/udev-206::gentoo, installed) pulled in by
    >=sys-fs/udev-206[gudev?,hwdb?,introspection?,kmod?,selinux?,static-libs?] (>=sys-fs/udev-206[gudev,hwdb,introspection,kmod,static-libs]) required by (virtual/udev-206::gentoo, installed)

  (sys-apps/systemd-206::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-186[pam] required by (gnome-base/gdm-3.8.3.1::gentoo, ebuild scheduled for merge)
    sys-apps/systemd required by (gnome-base/gnome-settings-daemon-3.8.4::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-44-r1[pam] required by (sys-auth/pambase-20120417-r2::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-shell-3.8.3-r2::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-30 required by (gnome-extra/cinnamon-1.6.7-r2::gentoo, installed)
    >=sys-apps/systemd-31 required by (gnome-base/gnome-control-center-3.8.3::gentoo, ebuild scheduled for merge)

  (sys-auth/consolekit-0.4.6::gentoo, installed) pulled in by
    sys-auth/consolekit required by (net-wireless/bluez-4.101-r5::gentoo, installed)
    sys-auth/consolekit required by (net-misc/networkmanager-0.9.8.2-r3::gentoo, installed)
    >=sys-auth/consolekit-0.4.5_p2012[pam] required by (sys-auth/pambase-20120417-r2::gentoo, ebuild scheduled for merge)
    sys-auth/consolekit required by (sys-apps/accountsservice-0.6.34::gentoo, installed)
    sys-auth/consolekit[policykit] required by (sys-auth/polkit-0.111::gentoo, installed)
    sys-auth/consolekit required by (gnome-base/gnome-session-3.8.2.1-r1::gentoo, ebuild scheduled for merge)
Comment 1 Samuli Suominen gentoo-dev 2013-07-25 09:48:20 UTC
not a bug, you need systemd for GNOME since 3.8 so the blockers are correct,

# emerge -C udev
# emerge systemd

or migrate away from GNOME
Comment 2 Juergen Rose 2013-07-25 16:41:15 UTC
(In reply to Samuli Suominen from comment #1)
> not a bug, you need systemd for GNOME since 3.8 so the blockers are correct,
> 
> # emerge -C udev
> # emerge systemd
> 
> or migrate away from GNOME

I removed udev, but 'emerge systemd' fails with:

root@wildcat:/usr/src/linux(125)# emerge systemd
Calculating dependencies... done!
[ebuild  N     ] sys-fs/udev-206  USE="acl doc firmware-loader gudev hwdb introspection kmod openrc static-libs (-selinux)" 
[ebuild     U  ] dev-libs/glib-2.36.3 [2.34.3] PYTHON_TARGETS="python2_7%* -python2_5% -python2_6%" 
[ebuild  N     ] net-libs/libmicrohttpd-0.9.28  USE="ssl -messages -static-libs {-test}" 
[ebuild  N     ] sys-apps/systemd-206  USE="acl doc filecaps firmware-loader gudev http introspection kmod pam policykit python tcpd xattr -audit -cryptsetup -gcrypt -lzma -openrc -qrcode (-selinux) {-test} -vanilla" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 
[ebuild     U  ] net-libs/libsoup-2.42.2 [2.40.3]
[ebuild     U  ] net-libs/gnome-online-accounts-3.8.2 [3.6.3]
[ebuild     U  ] gnome-extra/evolution-data-server-3.8.4 [3.6.4] USE="gtk%*" 
[ebuild     U  ] dev-libs/folks-0.9.2 [0.8.0] USE="-zeitgeist%" 
[ebuild  r  U  ] net-im/empathy-3.8.3 [3.6.4]
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
[blocks B      ] >=sys-apps/systemd-197 (">=sys-apps/systemd-197" is blocking sys-auth/nss-myhostname-0.3)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-206, sys-auth/consolekit-0.4.6, app-admin/openrc-settingsd-1.0.1)
[blocks B      ] sys-auth/nss-myhostname ("sys-auth/nss-myhostname" is blocking sys-apps/systemd-206)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/libsoup:2.4

  (net-libs/libsoup-2.42.2::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/libsoup-2.42:2.4 required by (net-libs/gnome-online-accounts-3.8.2::gentoo, ebuild scheduled for merge)

  (net-libs/libsoup-2.40.3::gentoo, installed) pulled in by
    ~net-libs/libsoup-2.40.3[introspection?] required by (net-libs/libsoup-gnome-2.40.3::gentoo, installed)

dev-libs/glib:2
...

The switch from udev to systemd seems to be an essential change in the system.
 So a migration guide would be really nice.
Comment 3 Juergen Rose 2013-07-25 16:49:17 UTC
BTW., I still have udev and gudev USE flags in /etc/make.conf. Should I remove this use flags?
Comment 4 Juergen Rose 2013-07-25 17:28:39 UTC
And what about hwdb and consolekit USE flag? I tried to remove them from /etc/make.conf, but I could also not emerge systemd in these cases.
Comment 5 Franz Trischberger 2013-07-26 08:03:16 UTC
You need to add "virtual/udev" to your package.accept_keywords. Also USE-Flags from virtual/udev and systemd must match.
Comment 6 Juergen Rose 2013-07-26 10:27:20 UTC
(In reply to Franz Fellner from comment #5)
> You need to add "virtual/udev" to your package.accept_keywords. Also
> USE-Flags from virtual/udev and systemd must match.

How should I realize that the USE flags for virtual/udev and sys-apps/systemd match? I set the same USE flags for virtual/udev and sys-apps/systemd in /etc/portage/packages.use, but several flags seems to irrelevant for  virtual/udev.

sys-apps/systemd acl doc filecaps firmware-loader gudev hwdb http introspection kmod pam policykit python static-libs tcpd xattr
root@impala:/root(80)# grep virtual/udev /etc/portage/package.use
>=virtual/udev-196 acl doc filecaps firmware-loader gudev hwdb http introspection kmod pam policykit python static-libs tcpd xattr

root@impala:/root(78)# emerge -pv virtual/udev systemd

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] dev-libs/gobject-introspection-common-1.36.0 [1.34.2] 1,173 kB
[ebuild  N     ] dev-libs/glib-2.36.3:2  USE="xattr -debug (-fam) (-selinux) -static-libs -systemtap {-test} -utils" PYTHON_TARGETS="python2_7 -python2_5 -python2_6" 6,472 kB
[ebuild  N     ] dev-libs/gobject-introspection-1.36.0  USE="cairo -doctool {-test}" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 0 kB
[ebuild  N     ] sys-fs/udev-206  USE="acl doc firmware-loader gudev hwdb introspection kmod openrc static-libs (-selinux)" 0 kB
[ebuild   R    ] virtual/udev-206  USE="gudev hwdb introspection kmod static-libs (-selinux)" 0 kB
[ebuild  N     ] net-libs/libmicrohttpd-0.9.28  USE="ssl -messages -static-libs {-test}" 1,039 kB
[ebuild  N     ] sys-apps/systemd-206  USE="acl doc filecaps firmware-loader gudev http introspection kmod pam policykit python tcpd xattr -audit -cryptsetup -gcrypt -lzma -openrc -qrcode (-selinux) {-test} -vanilla" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 0 kB
[ebuild  N     ] net-libs/libsoup-2.42.2:2.4  USE="introspection samba ssl -debug {-test}" 716 kB
[ebuild  N     ] net-libs/gnome-online-accounts-3.8.2  USE="gnome introspection kerberos -debug" 631 kB
[ebuild  N     ] gnome-extra/evolution-data-server-3.8.4:0/40  USE="gnome-online-accounts gtk introspection ipv6 kerberos ldap vala weather -api-doc-extras {-test}" 3,841 kB
[ebuild     U  ] dev-libs/folks-0.9.2:0/25 [0.8.0:0/25] USE="eds telepathy vala -debug -socialweb {-test} -tracker -utils -zeitgeist%" 1,605 kB
[ebuild  r  U  ] net-im/empathy-3.8.3 [3.6.4] USE="geoloc gnome map spell v4l -debug -gnome-online-accounts {-test} (-geocode%*) (-sendto%)" 4,606 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
[blocks B      ] >=sys-apps/systemd-197 (">=sys-apps/systemd-197" is blocking sys-auth/nss-myhostname-0.3)
[blocks B      ] net-libs/libsoup-gnome ("net-libs/libsoup-gnome" is blocking net-libs/libsoup-2.42.2)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-206, sys-auth/consolekit-0.4.6, app-admin/openrc-settingsd-1.0.1)
[blocks B      ] <dev-lang/vala-0.20.0 ("<dev-lang/vala-0.20.0" is blocking dev-libs/gobject-introspection-1.36.0)
[blocks B      ] sys-auth/nss-myhostname ("sys-auth/nss-myhostname" is blocking sys-apps/systemd-206)
[blocks B      ] >=net-libs/libsoup-2.42 (">=net-libs/libsoup-2.42" is blocking net-libs/libsoup-gnome-2.40.3)

Total: 12 packages (3 upgrades, 8 new, 1 reinstall), Size of downloads: 20,078 kB
Comment 7 Juergen Rose 2013-07-26 10:44:28 UTC
Could anybody who succesfully emerged systemd post its USE flags in /etc/make.conf and the USE flags for virtual/udev and sys-apps/systemd in /etc/portage/packages.use?
Comment 8 Pacho Ramos gentoo-dev 2013-07-26 17:13:25 UTC
(In reply to Juergen Rose from comment #6)
[...]
> [blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
> [blocks B      ] >=sys-apps/systemd-197 (">=sys-apps/systemd-197" is
> blocking sys-auth/nss-myhostname-0.3)

Looks like you need to unmerge nss-myhostname

> [blocks B      ] net-libs/libsoup-gnome ("net-libs/libsoup-gnome" is
> blocking net-libs/libsoup-2.42.2)

You need to unmerge libsoup-gnome
Comment 9 Juergen Rose 2013-07-26 22:30:37 UTC
I deleted nss-myhostname and libsoup. Now 'emerge --ask systemd' fails with:

root@impala:/root(89)# emerge --ask systemd
These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/udev-206::gentoo (Change USE: -static-libs)
(dependency required by "virtual/udev-206" [installed])
(dependency required by "net-im/empathy-3.8.3" [ebuild])
(dependency required by "@__auto_slot_operator_replace_installed__" [argument])

root@impala:/root(90)# grep virtual/udev /etc/portage/package.use
>=virtual/udev-196 acl doc filecaps firmware-loader gudev hwdb http introspection kmod pam policykit python tcpd xattr -static-libs

root@impala:/root(92)# grep sys-apps/systemd /etc/portage/package.use
sys-apps/systemd acl doc filecaps firmware-loader gudev hwdb http introspection kmod pam policykit python tcpd xattr -static-libs

I do not understand that.
Comment 10 Pacho Ramos gentoo-dev 2013-07-26 22:59:20 UTC
Try emerge -pv virtual/udev systemd
Comment 11 Pacho Ramos gentoo-dev 2013-07-26 23:01:50 UTC
And also resync as some changes were committed to virtual few time ago
Comment 12 Juergen Rose 2013-07-27 00:34:19 UTC
After erasing virtual/udev, consolekit, vala and openrc-settingsd I could emerge systemdh.
Comment 13 Juergen Rose 2013-07-27 09:19:36 UTC
Now I have problems with the static-libs USE flags, 'emerge -uvDN system' fails with:


root@impala:/root(114)# emerge -uvND system
...
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

virtual/udev:0

  (virtual/udev-206::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (virtual/udev-206::gentoo, ebuild scheduled for merge) pulled in by
    virtual/udev[static-libs?] required by (sys-fs/lvm2-2.02.98::gentoo, installed)
...
The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by sys-fs/lvm2-2.02.98[udev]
# required by sys-block/parted-3.1-r1[device-mapper]
# required by sys-fs/udisks-1.0.4-r5
# required by gnome-base/libgdu-3.0.2
# required by gnome-base/gvfs-1.16.3[gdu]
# required by gnome-base/libgnome-2.32.1-r1
# required by gnome-base/libbonoboui-2.24.5
# required by dev-util/glade-3.8.3[gnome]
# required by x11-libs/gtksourceview-2.10.5-r2[glade]
# required by dev-python/pygtksourceview-2.10.1-r1
# required by dev-vcs/git-1.8.3.2[python,gtk]
# required by sys-devel/gettext-0.18.2[git]
# required by x11-themes/gnome-icon-theme-3.8.2
# required by gnome-base/libgnomeui-2.24.5
>=virtual/udev-206 static-libs
...
emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/udev-206::gentoo (Change USE: -static-libs)
(dependency required by "virtual/udev-206" [ebuild])
(dependency required by "sys-fs/lvm2-2.02.98[udev]" [installed])
(dependency required by "sys-block/parted-3.1-r1[device-mapper]" [installed])
(dependency required by "sys-fs/udisks-1.0.4-r5" [installed])
(dependency required by "gnome-base/libgdu-3.0.2" [installed])
(dependency required by "gnome-base/gvfs-1.16.3[gdu]" [ebuild])
(dependency required by "gnome-base/libgnome-2.32.1-r1" [installed])
(dependency required by "gnome-base/libbonoboui-2.24.5" [installed])
(dependency required by "dev-util/glade-3.8.3[gnome]" [installed])
(dependency required by "x11-libs/gtksourceview-2.10.5-r2[glade]" [installed])
(dependency required by "dev-python/pygtksourceview-2.10.1-r1" [installed])
(dependency required by "dev-vcs/git-1.8.3.2[python,gtk]" [installed])
(dependency required by "sys-devel/gettext-0.18.2[git]" [installed])
(dependency required by "x11-themes/gnome-icon-theme-3.8.2" [ebuild])
(dependency required by "gnome-base/libgnomeui-2.24.5" [installed])


If I add again static-libs USE flag to virtual/udev, 'emerge -uvDN system' fails with:

root@impala:/root(115)# emerge -uvND system
...
emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/udev-206::gentoo (Change USE: -static-libs)
(dependency required by "virtual/udev-206" [ebuild])
(dependency required by "sys-apps/util-linux-2.23.1" [ebuild])
(dependency required by "@system" [argument])


What should I do? Remove all static-libs USE flags from /etc/portage/package.use?

root@impala:/root(116)# grep "^[^#].*static-libs" /etc/portage/package.use
dev-libs/elfutils static-libs
dev-libs/libgcrypt static-libs
dev-libs/libgpg-error static-libs
dev-libs/popt static-libs
sys-fs/lvm2 static-libs
sys-libs/e2fsprogs-libs static-libs
>=virtual/udev-196 acl doc filecaps firmware-loader gudev hwdb http introspection kmod pam policykit python tcpd xattr static-libs

Will my system boot if I remove these static-libs USE flags?
Comment 14 Pacho Ramos gentoo-dev 2013-07-27 09:26:45 UTC
Looks like this is caused by you enabling static-libs for some packages but not for others. But the last portage errors looks incorrect to me as util-linux has not special dependency on udev[static-libs?] or similar
Comment 15 Juergen Rose 2013-07-27 09:31:57 UTC
(In reply to Pacho Ramos from comment #14)
> Looks like this is caused by you enabling static-libs for some packages but
> not for others. But the last portage errors looks incorrect to me as
> util-linux has not special dependency on udev[static-libs?] or similar

At least until gnome-3.8 with systemd came into portage tree I had no problem with the consistency of my packages. 'emerge -uvND world' works every day more or less without problems.
Comment 16 Juergen Rose 2013-07-27 15:01:45 UTC
I tried to do 'emerge @preserved-rebuild', it complains about 

[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-auth/consolekit-0.4.6)

I erased the involved packages:

gobject-introspection nss-myhostname libsoup-gnome virtual/udev consolekit vala openrc-settingsd orca colord cogl atk gsettings-desktop-schemas libpeas webkit-gtk at-spi2-core gnome-desktop  gdm bluez networkmanager pambase accountsservice gnome-session sys-auth/polkit kdm nm-applet gnome-bluetooth

And I removed the following USE flags from /etc/mak
     bluetooth consolekit policykit
from /etc/make.conf.

But 'emerge @preserved-rebuild' still fails with:
...

[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-auth/consolekit-0.4.6)
...

  (sys-auth/consolekit-0.4.6::gentoo, ebuild scheduled for merge) pulled in by
    sys-auth/consolekit required by (sys-apps/accountsservice-0.6.34::gentoo, ebuild scheduled for merge)
    sys-auth/consolekit[policykit] required by (sys-auth/polkit-0.111::gentoo, ebuild scheduled for merge)
    sys-auth/consolekit required by (net-wireless/bluez-4.101-r5::gentoo, ebuild scheduled for merge)
    sys-auth/consolekit required by (gnome-base/gnome-session-3.8.2.1-r1::gentoo, ebuild scheduled for merge)


If I do 'emerge -pt @preserved-rebuild':
root@impala:/root(183)# emerge -pt @preserved-rebuild

These are the packages that would be merged, in reverse order:


[nomerge       ] kde-base/kdebase-meta-4.10.5 
[nomerge       ]  kde-base/solid-4.10.5 
[nomerge       ]   net-wireless/bluedevil-1.3.1 
[nomerge       ]    net-libs/libbluedevil-1.9.3 
[ebuild  N     ]     net-wireless/bluez-4.101-r5  USE="alsa consolekit cups gstreamer readline usb -debug -pcmcia (-selinux) -test-programs" PYTHON_SINGLE
...
[nomerge       ] net-analyzer/arping-2.13 
[nomerge       ]  net-libs/libpcap-1.4.0 
[nomerge       ]   net-wireless/bluez-4.101-r5  USE="alsa consolekit cups gstreamer readline usb -debug -pcmcia (-selinux) -test-programs" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 
[ebuild  N     ]    sys-auth/consolekit-0.4.6  USE="acl doc pam policykit -debug (-selinux) {-test}" 


bluez wants to install consolekit.  If I set -consolekit for net-wireless/bluez, in the next 'emerge -pt @preserved-rebuild' gnome-control-center wants to install consolekit:

[nomerge       ] gnome-base/gnome-control-center-3.8.4.1 [3.6.3-r1] USE="-modemmanager%" 
[nomerge       ]  sys-apps/accountsservice-0.6.34  USE="doc introspection vala -systemd" 
[ebuild  N     ]   sys-auth/consolekit-0.4.6  USE="acl doc pam policykit -debug (-selinux) {-test}" 


If I add systemd USE flag to accountsservice, 'emerge -pt @preserved-rebuild' says that gnome-session wants to install consolekit:

[nomerge       ] gnome-base/gnome-control-center-3.8.4.1 [3.6.3-r1] USE="-modemmanager%" 
[nomerge       ]  gnome-base/gnome-session-3.8.2.1-r1  USE="doc ipv6 -debug -gconf -systemd" 
[ebuild  N     ]   sys-auth/consolekit-0.4.6  USE="acl doc pam policykit -debug (-selinux) {-test}" 

If I then add systemd USE flag to gnome-session, polkit wants to install consolekit:

[nomerge       ] app-emulation/virt-manager-0.10.0 
[nomerge       ]  sys-auth/polkit-0.111  USE="examples gtk introspection kde nls -pam (-selinux) -systemd" 
[ebuild  N     ]   sys-auth/consolekit-0.4.6  USE="acl doc pam policykit -debug (-selinux) {-test}" 
[ebuild  N     ]   gnome-extra/polkit-gnome-0.105 
[ebuild  N     ]    sys-auth/polkit-0.111  USE="examples gtk introspection kde nls -pam (-selinux) -systemd" 

I then added systemd USE flag to polkit and 'emerge @preserved-rebuild' starts to work.
Comment 17 Pacho Ramos gentoo-dev 2013-07-27 15:09:53 UTC
(In reply to Juergen Rose from comment #16)
> I tried to do 'emerge @preserved-rebuild', it complains about 
> 
> [blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking
> sys-auth/consolekit-0.4.6)

Install sys-auth/consolekit-0.4.5_p20120320-r2 instead

> 
> I erased the involved packages:
> 

I think your /var/lib/portage/world is full of "cruft", I mean, you added there the package you emerged and all its dependencies. When it contains only the kind of things people usually run "emerge" on (instead of "emerge --oneshot), things like openrc-settingsd blockers are resolved automatically by emerge

[...]
> [blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking
> sys-auth/consolekit-0.4.6)
> ...
> 
>   (sys-auth/consolekit-0.4.6::gentoo, ebuild scheduled for merge) pulled in
> by
>     sys-auth/consolekit required by
> (sys-apps/accountsservice-0.6.34::gentoo, ebuild scheduled for merge)
>     sys-auth/consolekit[policykit] required by
> (sys-auth/polkit-0.111::gentoo, ebuild scheduled for merge)
>     sys-auth/consolekit required by (net-wireless/bluez-4.101-r5::gentoo,
> ebuild scheduled for merge)
>     sys-auth/consolekit required by
> (gnome-base/gnome-session-3.8.2.1-r1::gentoo, ebuild scheduled for merge)
> 

Please ready carefully the message before starting to remove things:
> [blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking
> sys-auth/consolekit-0.4.6)

That tells you that systemd and consolekit-0.4.6 are blocking each other (# 478258), use the version I pointed to you

Set "consolekit systemd" systemwide and all should be ok (with the referred consolekit version)
Comment 18 Pacho Ramos gentoo-dev 2013-07-27 15:11:08 UTC
(In reply to Pacho Ramos from comment #17)
> Set "consolekit systemd" systemwide and all should be ok (with the referred
> consolekit version)

And, before preserved-rebuild, run "emerge -avuDN world" after changing that USE flags
Comment 19 Juergen Rose 2013-07-27 15:41:55 UTC
(In reply to Pacho Ramos from comment #17)
> (In reply to Juergen Rose from comment #16)
> > I tried to do 'emerge @preserved-rebuild', it complains about 
> > 
> > [blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking
> > sys-auth/consolekit-0.4.6)
> 
> Install sys-auth/consolekit-0.4.5_p20120320-r2 instead

That means I should mask >=ys-auth/consolekit-0.4.6

> > I erased the involved packages:
> > 
> 
> I think your /var/lib/portage/world is full of "cruft", I mean, you added
> there the package you emerged and all its dependencies. When it contains
> only the kind of things people usually run "emerge" on (instead of "emerge
> --oneshot), things like openrc-settingsd blockers are resolved automatically
> by emerge

I do not know why you think that my /var/lib/portage/world is full of "cruft".
I have a relatively large number of packages installed on "impala". There are about 500 packages in /var/lib/portage/world and alltogether about 3000 packages are installed on "impala":

root@impala:/root(25)# wc /var/lib/portage/world
  524   524 10869 /var/lib/portage/world
root@impala:/root(26)# qlist -Iv | wc 
   3091    3091  210278
root@impala:/root(27)# we /var/lib/portage/world

But why do you think, that I added the package and all its dependencies to /var/lib/portage/world? Why do you think that packages like openrc-settingsd are in my /var/lib/portage/world? Of course openrc-settingsd was only installed as dependency.


> Please ready carefully the message before starting to remove things:
> > [blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking
> > sys-auth/consolekit-0.4.6)
> 
> That tells you that systemd and consolekit-0.4.6 are blocking each other (#
> 478258), use the version I pointed to you
> 
> Set "consolekit systemd" systemwide and all should be ok (with the referred
> consolekit version)


That it is easier to set systemd systemwide I also thought after setting it several times in /usr/porpage/packages.use, but should I really set consolekit systemwide? I found several discussion in the web that systemd and consolekit does not work with each other.
Comment 20 Pacho Ramos gentoo-dev 2013-07-27 15:53:36 UTC
(In reply to Juergen Rose from comment #19)
> That means I should mask >=ys-auth/consolekit-0.4.6
> 

Yes

[...]
> But why do you think, that I added the package and all its dependencies to
> /var/lib/portage/world? Why do you think that packages like openrc-settingsd
> are in my /var/lib/portage/world? Of course openrc-settingsd was only
> installed as dependency.
> 

Then, if nothing from your world file is pulling openrc-settingsd, portage handles the block automatically (removing it instead of dying)

[...]
> That it is easier to set systemd systemwide I also thought after setting it
> several times in /usr/porpage/packages.use, 

You need to enable it system wide as migration guide says:
http://wiki.gentoo.org/wiki/Systemd#Software


>but should I really set
> consolekit systemwide? 

Do what you prefer in this case

>I found several discussion in the web that systemd
> and consolekit does not work with each other.

This is explained in bug 478258
Comment 21 Juergen Rose 2013-07-27 16:03:05 UTC
(In reply to Pacho Ramos from comment #20)
> (In reply to Juergen Rose from comment #19)
> > That means I should mask >=ys-auth/consolekit-0.4.6
> > 
> 
> Yes

I masked now 

>sys-auth/consolekit-0.4.5_p20120320-r2 

> [...]
> > But why do you think, that I added the package and all its dependencies to
> > /var/lib/portage/world? Why do you think that packages like openrc-settingsd
> > are in my /var/lib/portage/world? Of course openrc-settingsd was only
> > installed as dependency.
> > 
> 
> Then, if nothing from your world file is pulling openrc-settingsd, portage
> handles the block automatically (removing it instead of dying)
> 
> [...]
> > That it is easier to set systemd systemwide I also thought after setting it
> > several times in /usr/porpage/packages.use, 
> 
> You need to enable it system wide as migration guide says:
> http://wiki.gentoo.org/wiki/Systemd#Software
> 
> 
> >but should I really set
> > consolekit systemwide? 
> 
> Do what you prefer in this case

OK, I added consolekit (again) and systemd to USE in /etc/make.conf.

> >I found several discussion in the web that systemd
> > and consolekit does not work with each other.
> 
> This is explained in bug 478258



And 'emerge -avuDN world' fails again with the statc-libs issue:

root@impala:/root(201)# emerge  -avuDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/mono:0

  (dev-lang/mono-3.0.7::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-lang/mono-2.10.9-r2::gentoo, installed) pulled in by
    =dev-lang/mono-2.10* required by (dev-dotnet/xsp-2.10.2-r2::gentoo, installed)
    (and 2 more with the same problem)

net-libs/libsoup:2.4

  (net-libs/libsoup-2.42.2::gentoo, installed) pulled in by
    >=net-libs/libsoup-2.42.1:2.4 required by (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
    (and 3 more with the same problem)

  (net-libs/libsoup-2.40.3::gentoo, ebuild scheduled for merge) pulled in by
    ~net-libs/libsoup-2.40.3[introspection?] required by (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)

gnome-base/gnome-desktop:3

  (gnome-base/gnome-desktop-3.8.3::gentoo, installed) pulled in by
    gnome-base/gnome-desktop:3/7= required by (media-gfx/gnome-font-viewer-3.8.0::gentoo, installed)
    >=gnome-base/gnome-desktop-3.8.0:3 required by (gnome-base/gnome-core-libs-3.8.0::gentoo, ebuild scheduled for merge)
    (and 5 more with the same problems)

  (gnome-base/gnome-desktop-3.6.3::gentoo, ebuild scheduled for merge) pulled in by
    >=gnome-base/gnome-desktop-3.0.0:3/4= required by (gnome-extra/nemo-1.8.3::gentoo, installed)
    (and 1 more with the same problem)

media-libs/cogl:1.0

  (media-libs/cogl-1.12.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/cogl:1.0/11=[introspection] required by (x11-wm/muffin-1.1.2::gentoo, installed)
    media-libs/cogl:1.0/11=[introspection] required by (gnome-extra/cinnamon-1.6.7-r2::gentoo, installed)
    media-libs/cogl:1.0/11= required by (net-im/empathy-3.8.3::gentoo, installed)

  (media-libs/cogl-1.14.0::gentoo, installed) pulled in by
    media-libs/cogl:1.0/12=[introspection] required by (media-libs/clutter-gtk-1.4.4::gentoo, installed)
    >=media-libs/cogl-1.14.0:1.0/12=[introspection,pango] required by (media-libs/clutter-1.14.4-r1::gentoo, installed)
    (and 3 more with the same problems)

net-libs/webkit-gtk:3

  (net-libs/webkit-gtk-2.0.4::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/webkit-gtk-1.11.92:3[jit?] required by (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)

  (net-libs/webkit-gtk-1.10.2-r300::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/webkit-gtk-1.6:3/3= required by (net-libs/libproxy-0.4.11-r1::gentoo, installed)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by gnome-base/gnome-core-apps-3.8.0[networkmanager]
# required by gnome-base/gnome-3.8.0
# required by @selected
# required by @world (argument)
>=gnome-extra/nm-applet-0.9.8.2 bluetooth
# 
>=virtual/udev-206 static-libs

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/udev-206::gentoo (Change USE: -static-libs)
(dependency required by "virtual/udev-206" [ebuild])
(dependency required by "sys-apps/util-linux-2.23.1" [installed])
(dependency required by "sys-kernel/dracut-030" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


while 'emerge --exclude atkmm  @preserved-rebuild' was working. I killed it only to do a 'emerge  -avuDN world'.
Comment 22 Pacho Ramos gentoo-dev 2013-07-27 16:23:57 UTC
I guess some time have passed since you updated this system as I can see more problems than gnome-3.8:

(In reply to Juergen Rose from comment #21)
[...] 
> root@impala:/root(201)# emerge  -avuDN world
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> 
> !!! Multiple package instances within a single package slot have been pulled
> !!! into the dependency graph, resulting in a slot conflict:
> 
> dev-lang/mono:0
> 
>   (dev-lang/mono-3.0.7::gentoo, ebuild scheduled for merge) pulled in by
>     (no parents that aren't satisfied by other packages in this slot)
> 
>   (dev-lang/mono-2.10.9-r2::gentoo, installed) pulled in by
>     =dev-lang/mono-2.10* required by (dev-dotnet/xsp-2.10.2-r2::gentoo,
> installed)
>     (and 2 more with the same problem)

This is a different problem, should be fixed with:
+  27 Jul 2013; Pacho Ramos <pacho@gentoo.org> go-mono.eclass:
+  Don't block mono-3
+


> 
> net-libs/libsoup:2.4
> 
>   (net-libs/libsoup-2.42.2::gentoo, installed) pulled in by
>     >=net-libs/libsoup-2.42.1:2.4 required by
> (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
>     (and 3 more with the same problem)
> 
>   (net-libs/libsoup-2.40.3::gentoo, ebuild scheduled for merge) pulled in by
>     ~net-libs/libsoup-2.40.3[introspection?] required by
> (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)
> 

Please try locally masking libsoup-gnome to know what package is still wanting to add it (it it now magically "works", please don't proceed with installation and let me know, I want to try more things. Thanks)

> gnome-base/gnome-desktop:3
> 
>   (gnome-base/gnome-desktop-3.8.3::gentoo, installed) pulled in by
>     gnome-base/gnome-desktop:3/7= required by
> (media-gfx/gnome-font-viewer-3.8.0::gentoo, installed)
>     >=gnome-base/gnome-desktop-3.8.0:3 required by
> (gnome-base/gnome-core-libs-3.8.0::gentoo, ebuild scheduled for merge)
>     (and 5 more with the same problems)
> 
>   (gnome-base/gnome-desktop-3.6.3::gentoo, ebuild scheduled for merge)
> pulled in by
>     >=gnome-base/gnome-desktop-3.0.0:3/4= required by
> (gnome-extra/nemo-1.8.3::gentoo, installed)
>     (and 1 more with the same problem)
> 

This shouldn't occur, maybe the message is wrong due other blockers :/ (probably a portage bug with subslots as it gnome-desktop is not requiring 3/4, it simply needs rebuilding).


> media-libs/cogl:1.0
> 
>   (media-libs/cogl-1.12.2-r1::gentoo, ebuild scheduled for merge) pulled in
> by
>     media-libs/cogl:1.0/11=[introspection] required by
> (x11-wm/muffin-1.1.2::gentoo, installed)
>     media-libs/cogl:1.0/11=[introspection] required by
> (gnome-extra/cinnamon-1.6.7-r2::gentoo, installed)
>     media-libs/cogl:1.0/11= required by (net-im/empathy-3.8.3::gentoo,
> installed)
> 
>   (media-libs/cogl-1.14.0::gentoo, installed) pulled in by
>     media-libs/cogl:1.0/12=[introspection] required by
> (media-libs/clutter-gtk-1.4.4::gentoo, installed)
>     >=media-libs/cogl-1.14.0:1.0/12=[introspection,pango] required by
> (media-libs/clutter-1.14.4-r1::gentoo, installed)
>     (and 3 more with the same problems)
> 

The same as above -_-

> net-libs/webkit-gtk:3
> 
>   (net-libs/webkit-gtk-2.0.4::gentoo, ebuild scheduled for merge) pulled in
> by
>     >=net-libs/webkit-gtk-1.11.92:3[jit?] required by
> (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
> 
>   (net-libs/webkit-gtk-1.10.2-r300::gentoo, ebuild scheduled for merge)
> pulled in by
>     >=net-libs/webkit-gtk-1.6:3/3= required by
> (net-libs/libproxy-0.4.11-r1::gentoo, installed)
> 

Again

> It may be possible to solve this problem by using package.mask to
> prevent one of those packages from being selected. However, it is also
> possible that conflicting dependencies exist such that they are
> impossible to satisfy simultaneously.  If such a conflict exists in
> the dependencies of two different packages, then those packages can
> not be installed simultaneously. You may want to try a larger value of
> the --backtrack option, such as --backtrack=30, in order to see if
> that will solve this conflict automatically.
> 

Did you try to increase "--backtrack" to something like 100?

> For more information, see MASKED PACKAGES section in the emerge man
> page or refer to the Gentoo Handbook.
> 
> 
> The following USE changes are necessary to proceed:
>  (see "package.use" in the portage(5) man page for more details)
> # required by gnome-base/gnome-core-apps-3.8.0[networkmanager]
> # required by gnome-base/gnome-3.8.0
> # required by @selected
> # required by @world (argument)
> >=gnome-extra/nm-applet-0.9.8.2 bluetooth
> # 
> >=virtual/udev-206 static-libs
> 
> Use --autounmask-write to write changes to config files (honoring
> CONFIG_PROTECT). Carefully examine the list of proposed changes,
> paying special attention to mask or keyword changes that may expose
> experimental or unstable packages.
> 
> emerge: there are no ebuilds built with USE flags to satisfy
> ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-
> )?]".
> !!! One of the following packages is required to complete your request:
> - virtual/udev-206::gentoo (Change USE: -static-libs)
> (dependency required by "virtual/udev-206" [ebuild])
> (dependency required by "sys-apps/util-linux-2.23.1" [installed])
> (dependency required by "sys-kernel/dracut-030" [ebuild])
> (dependency required by "@selected" [set])
> (dependency required by "@world" [argument])
> 

Did you let "--autounmask-write" write the fixed package.use?
Comment 23 Juergen Rose 2013-07-27 21:01:55 UTC
(In reply to Pacho Ramos from comment #22)
> I guess some time have passed since you updated this system as I can see
> more problems than gnome-3.8:

I am syncing every day:
root@impala:/root(218)# genlop -r | tail
     rsync'ed at >>> Sun Jul 21 08:58:47 2013
     rsync'ed at >>> Sun Jul 21 21:43:51 2013
     rsync'ed at >>> Mon Jul 22 01:02:47 2013
     rsync'ed at >>> Mon Jul 22 07:31:51 2013
     rsync'ed at >>> Tue Jul 23 07:37:46 2013
     rsync'ed at >>> Wed Jul 24 07:03:40 2013
     rsync'ed at >>> Thu Jul 25 01:02:51 2013
     rsync'ed at >>> Fri Jul 26 11:33:56 2013
     rsync'ed at >>> Sat Jul 27 02:37:05 2013

> (In reply to Juergen Rose from comment #21)
...
> >   (dev-lang/mono-2.10.9-r2::gentoo, installed) pulled in by
> >     =dev-lang/mono-2.10* required by (dev-dotnet/xsp-2.10.2-r2::gentoo,
> > installed)
> >     (and 2 more with the same problem)
> 
> This is a different problem, should be fixed with:
> +  27 Jul 2013; Pacho Ramos <pacho@gentoo.org> go-mono.eclass:
> +  Don't block mono-3

This is an old problem, I thought I had to wait for a new version of xsp, which is compatible with mono-3. I can remove this issue by erasing monodevelop, monodevelop-database, monodevelop-debugger-gdb, xsp, zeitgeist-datasources, zeitgeist, rhythmbox, libzeitgeist, mono-tools and mono-basic. Is there an better way?

> > net-libs/libsoup:2.4
> > 
> >   (net-libs/libsoup-2.42.2::gentoo, installed) pulled in by
> >     >=net-libs/libsoup-2.42.1:2.4 required by
> > (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
> >     (and 3 more with the same problem)
> > 
> >   (net-libs/libsoup-2.40.3::gentoo, ebuild scheduled for merge) pulled in by
> >     ~net-libs/libsoup-2.40.3[introspection?] required by
> > (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)
> > 
> 
> Please try locally masking libsoup-gnome to know what package is still
> wanting to add it (it it now magically "works", please don't proceed with
> installation and let me know, I want to try more things. Thanks)

I masked net-libs/libsoup-gnome, I get:
root@impala:/root(239)# grep libsoup-gnome /etc/portage/package.mask
#>=net-libs/libsoup-gnome-2.34.1
net-libs/libsoup-gnome


root@impala:/root(240)# emerge  -avuDN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/libsoup:2.4

  (net-libs/libsoup-2.42.2::gentoo, installed) pulled in by
    >=net-libs/libsoup-2.42.1:2.4 required by (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
    (and 3 more with the same problem)

  (net-libs/libsoup-2.40.3::gentoo, ebuild scheduled for merge) pulled in by
    ~net-libs/libsoup-2.40.3[introspection?] required by (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)

gnome-base/gnome-desktop:3
...
media-libs/cogl:1.0
...
net-libs/webkit-gtk:3
...
The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by dev-libs/libgweather-3.6.2
# required by mail-client/evolution-3.8.4[weather]
...
#>=net-libs/libsoup-gnome-2.34.1
=net-libs/libsoup-gnome-2.40.3

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by gnome-base/gnome-core-apps-3.8.0[networkmanager]
# required by gnome-base/gnome-3.8.0
# required by @selected
# required by @world (argument)
>=gnome-extra/nm-applet-0.9.8.2 bluetooth
# 
>=virtual/udev-206 static-libs

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/udev-206::gentoo (Change USE: -static-libs)
(dependency required by "virtual/udev-206" [ebuild])
(dependency required by "sys-apps/util-linux-2.23.1" [installed])
(dependency required by "sys-kernel/dracut-030" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


> > gnome-base/gnome-desktop:3
> > 
> >   (gnome-base/gnome-desktop-3.8.3::gentoo, installed) pulled in by
> >     gnome-base/gnome-desktop:3/7= required by
> > (media-gfx/gnome-font-viewer-3.8.0::gentoo, installed)
> >     >=gnome-base/gnome-desktop-3.8.0:3 required by
> > (gnome-base/gnome-core-libs-3.8.0::gentoo, ebuild scheduled for merge)
> >     (and 5 more with the same problems)
> > 
> >   (gnome-base/gnome-desktop-3.6.3::gentoo, ebuild scheduled for merge)
> > pulled in by
> >     >=gnome-base/gnome-desktop-3.0.0:3/4= required by
> > (gnome-extra/nemo-1.8.3::gentoo, installed)
> >     (and 1 more with the same problem)
> > 
> 
> This shouldn't occur, maybe the message is wrong due other blockers :/
> (probably a portage bug with subslots as it gnome-desktop is not requiring
> 3/4, it simply needs rebuilding).

nemo is a dependency of cinnamon.  After erasing nemo and cinnamon the issue disappeared.

 
> > media-libs/cogl:1.0
> > 
> >   (media-libs/cogl-1.12.2-r1::gentoo, ebuild scheduled for merge) pulled in
> > by
> >     media-libs/cogl:1.0/11=[introspection] required by
> > (x11-wm/muffin-1.1.2::gentoo, installed)
> >     media-libs/cogl:1.0/11=[introspection] required by
> > (gnome-extra/cinnamon-1.6.7-r2::gentoo, installed)
> >     media-libs/cogl:1.0/11= required by (net-im/empathy-3.8.3::gentoo,
> > installed)
> > 
> >   (media-libs/cogl-1.14.0::gentoo, installed) pulled in by
> >     media-libs/cogl:1.0/12=[introspection] required by
> > (media-libs/clutter-gtk-1.4.4::gentoo, installed)
> >     >=media-libs/cogl-1.14.0:1.0/12=[introspection,pango] required by
> > (media-libs/clutter-1.14.4-r1::gentoo, installed)
> >     (and 3 more with the same problems)
> > 
> 
> The same as above -_-
> 
> > net-libs/webkit-gtk:3
> > 
> >   (net-libs/webkit-gtk-2.0.4::gentoo, ebuild scheduled for merge) pulled in
> > by
> >     >=net-libs/webkit-gtk-1.11.92:3[jit?] required by
> > (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
> > 
> >   (net-libs/webkit-gtk-1.10.2-r300::gentoo, ebuild scheduled for merge)
> > pulled in by
> >     >=net-libs/webkit-gtk-1.6:3/3= required by
> > (net-libs/libproxy-0.4.11-r1::gentoo, installed)
> > 
> 
> Again
> 
> > It may be possible to solve this problem by using package.mask to
> > prevent one of those packages from being selected. However, it is also
> > possible that conflicting dependencies exist such that they are
> > impossible to satisfy simultaneously.  If such a conflict exists in
> > the dependencies of two different packages, then those packages can
> > not be installed simultaneously. You may want to try a larger value of
> > the --backtrack option, such as --backtrack=30, in order to see if
> > that will solve this conflict automatically.
> > 
> 
> Did you try to increase "--backtrack" to something like 100?

"--backtrack=100" does not change much (I unmasked libsoup-gnome again):

root@impala:/root(254)# emerge  -avuDN --backtrack=100 world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

net-libs/libsoup:2.4

  (net-libs/libsoup-2.42.2::gentoo, installed) pulled in by
    >=net-libs/libsoup-2.42.1:2.4 required by (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)
    (and 3 more with the same problem)

  (net-libs/libsoup-2.40.3::gentoo, ebuild scheduled for merge) pulled in by
    ~net-libs/libsoup-2.40.3[introspection?] required by (net-libs/libsoup-gnome-2.40.3::gentoo, ebuild scheduled for merge)

net-libs/webkit-gtk:3

  (net-libs/webkit-gtk-2.0.4::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/webkit-gtk-1.11.92:3[jit?] required by (www-client/epiphany-3.8.2::gentoo, ebuild scheduled for merge)

  (net-libs/webkit-gtk-1.10.2-r300::gentoo, ebuild scheduled for merge) pulled in by
    >=net-libs/webkit-gtk-1.6:3/3= required by (net-libs/libproxy-0.4.11-r1::gentoo, installed)

media-libs/cogl:1.0

  (media-libs/cogl-1.12.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/cogl:1.0/11= required by (net-im/empathy-3.8.3::gentoo, installed)

  (media-libs/cogl-1.14.0::gentoo, installed) pulled in by
    media-libs/cogl:1.0/12=[introspection] required by (media-libs/clutter-gtk-1.4.4::gentoo, installed)
    >=media-libs/cogl-1.14.0:1.0/12=[introspection,pango] required by (media-libs/clutter-1.14.4-r1::gentoo, installed)
    media-libs/cogl:1.0/12=[introspection] required by (media-video/cheese-3.8.3::gentoo, installed)
    (and 3 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by gnome-base/gnome-core-apps-3.8.0[networkmanager]
# required by gnome-base/gnome-3.8.0
# required by @selected
# required by @world (argument)
>=gnome-extra/nm-applet-0.9.8.2 bluetooth
# 
>=virtual/udev-206 static-libs

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

emerge: there are no ebuilds built with USE flags to satisfy ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-)?]".
!!! One of the following packages is required to complete your request:
- virtual/udev-206::gentoo (Change USE: -static-libs)
(dependency required by "virtual/udev-206" [ebuild])
(dependency required by "sys-apps/util-linux-2.23.1" [installed])
(dependency required by "sys-kernel/dracut-030" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
root@impala:/root(255)# 



> > For more information, see MASKED PACKAGES section in the emerge man
> > page or refer to the Gentoo Handbook.
> > 
> > 
> > The following USE changes are necessary to proceed:
> >  (see "package.use" in the portage(5) man page for more details)
> > # required by gnome-base/gnome-core-apps-3.8.0[networkmanager]
> > # required by gnome-base/gnome-3.8.0
> > # required by @selected
> > # required by @world (argument)
> > >=gnome-extra/nm-applet-0.9.8.2 bluetooth
> > # 
> > >=virtual/udev-206 static-libs
> > 
> > Use --autounmask-write to write changes to config files (honoring
> > CONFIG_PROTECT). Carefully examine the list of proposed changes,
> > paying special attention to mask or keyword changes that may expose
> > experimental or unstable packages.
> > 
> > emerge: there are no ebuilds built with USE flags to satisfy
> > ">=sys-apps/systemd-206[gudev?,introspection?,kmod?,selinux?,static-libs(-
> > )?]".
> > !!! One of the following packages is required to complete your request:
> > - virtual/udev-206::gentoo (Change USE: -static-libs)
> > (dependency required by "virtual/udev-206" [ebuild])
> > (dependency required by "sys-apps/util-linux-2.23.1" [installed])
> > (dependency required by "sys-kernel/dracut-030" [ebuild])
> > (dependency required by "@selected" [set])
> > (dependency required by "@world" [argument])
> > 
> 
> Did you let "--autounmask-write" write the fixed package.use?

No!
Comment 24 Pacho Ramos gentoo-dev 2013-07-28 10:02:59 UTC
libgweather should be updated to 3.8.2, not sure why 3.6.x version is being pulled in. 

Regarding the USE changes, why don't you let portage do that changes?
Comment 25 Juergen Rose 2013-07-29 06:59:19 UTC
(In reply to Pacho Ramos from comment #24)
> libgweather should be updated to 3.8.2, not sure why 3.6.x version is being
> pulled in. 
> 
> Regarding the USE changes, why don't you let portage do that changes?

With letting portage to do changes, you mean to call emerge --autounmask-write, do you? I think this option is rather new, and I was until yesterday not able to look how to use this option and what are the consequences. After reading http://wiki.gentoo.org/wiki/Knowledge_Base:Unmasking_a_package
I still not yet know, what it is exactly doing. 'emerge --autounmask-write world' writes only to /etc/portage/packages.mask and /etc/portage/packages.mask/monolytic, respectively or does it change also /etc/portage/packages.use and /etc/portage/packages.use/monolytic?

BTW. not only "leopard" and "impala" are affected by the gnome-3.8 upgrade issues, but I think all my systems with different processors and graphic cards, server and workstation (but all with gnome) show this issue. If I take the next "caiman" I added systemd to the USE flags in /etc/make.conf and masked >sys-auth/consolekit-0.4.5_p20120320-r2.

'emerge -pvuDN world' complains about
root@caiman:/usr/src/linux(65)# emerge -pvuDN  --backtrack=100 world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] app-arch/bzip2-1.0.6-r4 [1.0.6-r3] USE="-static -static-libs" ABI_X86="(64%*) -32% (-x32)" 0 kB
...
[ebuild     U  ] gnome-base/gnome-3.8.0:2.0 [3.6.2:2.0] USE="bluetooth cdr cups extras fallback -accessibility" 0 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-206, sys-auth/consolekit-0.4.6, app-admin/openrc-settingsd-1.0.1)

Total: 179 packages (149 upgrades, 1 downgrade, 17 new, 2 in new slots, 10 reinstalls, 6 uninstalls), Size of downloads: 501,558 kB
Conflict: 11 blocks (2 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled

gnome-base/gnome-desktop:3
...
media-libs/cogl:1.0
...
net-libs/webkit-gtk:3
...
  (sys-fs/udev-206::gentoo, installed) pulled in by
    >=sys-fs/udev-206[gudev?,hwdb?,introspection?,kmod?,selinux?,static-libs?] (>=sys-fs/udev-206[gudev,hwdb,introspection,kmod,static-libs]) required by (virtual/udev-206::gentoo, installed)

  (sys-apps/systemd-206::gentoo, ebuild scheduled for merge) pulled in by
...


If I try to use "--autounmask-write" I don't see changes:

 root@caiman:/usr/src/linux(66)# emerge -pvuDN  --autounmask-write  --backtrack=100 world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] app-arch/bzip2-1.0.6-r4 [1.0.6-r3] USE="-static -static-libs" ABI_X86="(64%*) -32% (-x32)" 0 kB
...
[ebuild     U  ] gnome-base/gnome-3.8.0:2.0 [3.6.2:2.0] USE="bluetooth cdr cups extras fallback -accessibility" 0 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-206, sys-auth/consolekit-0.4.6, app-admin/openrc-settingsd-1.0.1)

Total: 179 packages (149 upgrades, 1 downgrade, 17 new, 2 in new slots, 10 reinstalls, 6 uninstalls), Size of downloads: 501,558 kB
Conflict: 11 blocks (2 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

gnome-base/gnome-desktop:3
...
media-libs/cogl:1.0
...
net-libs/webkit-gtk:3
...
  (sys-fs/udev-206::gentoo, installed) pulled in by
    >=sys-fs/udev-206[gudev?,hwdb?,introspection?,kmod?,selinux?,static-libs?] (>=sys-fs/udev-206[gudev,hwdb,introspection,kmod,static-libs]) required by (virtual/udev-206::gentoo, installed)

  (sys-apps/systemd-206::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-186[pam] required by (gnome-base/gdm-3.8.3.1::gentoo, ebuild scheduled for merge)
...
Comment 26 Juergen Rose 2013-07-29 07:21:09 UTC
(In reply to Juergen Rose from comment #25)
> (In reply to Pacho Ramos from comment #24)
> > libgweather should be updated to 3.8.2, not sure why 3.6.x version is being
> > pulled in. 
> > 
> > Regarding the USE changes, why don't you let portage do that changes?
> 
...
> 'emerge -pvuDN world' complains about
> root@caiman:/usr/src/linux(65)# emerge -pvuDN  --backtrack=100 world
...
> If I try to use "--autounmask-write" I don't see changes:
> 
>  root@caiman:/usr/src/linux(66)# emerge -pvuDN  --autounmask-write 
> --backtrack=100 world
...
> net-libs/webkit-gtk:3
> ...

At "caiman" sys-fs/udev-206 was still installed:

root@caiman:/usr/src/linux(68)# qlist -Iv udev
sys-fs/udev-206
sys-fs/udev-init-scripts-26
virtual/udev-206

If I pass to the next system, where I deleted sys-fs/udev 'emerge -avuDN  --autounmask-write --backtrack=100 world' fails similar:

root@condor:/root(37)# emerge  -avuDN  --autounmask-write --backtrack=100 world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] app-arch/bzip2-1.0.6-r4 [1.0.6-r3] USE="-static -static-libs" ABI_X86="(64%*) -32% (-x32)" 0 kB
...
[ebuild     U  ] gnome-base/gnome-3.8.0:2.0 [3.6.2:2.0] USE="bluetooth cdr cups extras fallback -accessibility*" 0 kB
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-206)
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-206, sys-auth/consolekit-0.4.6, app-admin/openrc-settingsd-1.0.1)

Total: 183 packages (150 upgrades, 1 downgrade, 17 new, 3 in new slots, 12 reinstalls, 6 uninstalls), Size of downloads: 556,383 kB
Conflict: 11 blocks (2 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/cogl:1.0
...
net-libs/webkit-gtk:3
...
sci-libs/matio:0
...
 (sys-fs/udev-206::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-fs/udev-206[gudev?,hwdb?,introspection?,kmod?,selinux?,static-libs?] (>=sys-fs/udev-206[gudev,hwdb,introspection,kmod,static-libs]) required by (virtual/udev-206::gentoo, installed)

  (sys-apps/systemd-206::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-186[pam] required by (gnome-base/gdm-3.8.3.1::gentoo, ebuild scheduled for merge)
...
root@condor:/root(38)# qlist -Iv udev
dev-dotnet/gudev-sharp-0.1
sys-fs/udev-init-scripts-26
virtual/udev-206
Comment 27 Juergen Rose 2013-07-29 08:35:08 UTC
BTW.. why is the status of this bug RESOLVED?
Comment 28 Zac Medico gentoo-dev 2013-07-29 08:43:17 UTC
If other people aren't having this problem, then that means you probably have some kind of configuration problem that's triggering it. If that's the case, then the forums, gentoo-user mailing list, or #gentoo-user irc channel are probably among best places to work it out (bugzilla is not so good for that).
Comment 29 Juergen Rose 2013-07-29 13:30:19 UTC
(In reply to Zac Medico from comment #28)
> If other people aren't having this problem, then that means you probably
> have some kind of configuration problem that's triggering it. If that's the
> case, then the forums, gentoo-user mailing list, or #gentoo-user irc channel
> are probably among best places to work it out (bugzilla is not so good for
> that).

Comment 7(In reply to Zac Medico from comment #28)
> If other people aren't having this problem, then that means you probably
> have some kind of configuration problem that's triggering it. If that's the
> case, then the forums, gentoo-user mailing list, or #gentoo-user irc channel
> are probably among best places to work it out (bugzilla is not so good for
> that).

OK, I will stop sending reports to this bug. Only one note I would like to post. I think that I identified the problem in my configuration. It seems me that the static-lib USE flag of lvm2 was responsible for the final blocking of sys-fs/udev
 and sys-apps/systemd. At least after removing this flag 'emerge  -avuDN world' was running.
Comment 30 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-07-29 13:53:30 UTC
(In reply to Juergen Rose from comment #29)
> OK, I will stop sending reports to this bug. Only one note I would like to
> post. I think that I identified the problem in my configuration. It seems me
> that the static-lib USE flag of lvm2 was responsible for the final blocking
> of sys-fs/udev
>  and sys-apps/systemd. At least after removing this flag 'emerge  -avuDN
> world' was running.

Congratulations on finding the answer to this tricky issue! Lots of us were hitting the virtual/udev[static-libs] related blockers.

*** This bug has been marked as a duplicate of bug 478476 ***
Comment 31 Frank Ridderbusch 2013-07-31 14:10:13 UTC
(In reply to Alexandre Rostovtsev from comment #30)
> (In reply to Juergen Rose from comment #29)
> > OK, I will stop sending reports to this bug. Only one note I would like to
> > post. I think that I identified the problem in my configuration. It seems me
> > that the static-lib USE flag of lvm2 was responsible for the final blocking
> > of sys-fs/udev
> >  and sys-apps/systemd. At least after removing this flag 'emerge  -avuDN
> > world' was running.
> 
> Congratulations on finding the answer to this tricky issue! Lots of us were
> hitting the virtual/udev[static-libs] related blockers.
> 
> *** This bug has been marked as a duplicate of bug 478476 ***

… but, what about systems, which have have the root fs on a LVM2 volume.
(I'm struggling with this).

From what I understand, the lvm2 has the static-lib USE, so that it can be
statically build to be included in a initramfs. So that a root LVM2 volume
can be activated, before it is acutally mounted.
Comment 32 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-07-31 14:15:05 UTC
(In reply to Frank Ridderbusch from comment #31)
> … but, what about systems, which have have the root fs on a LVM2 volume.
> (I'm struggling with this).
> 
> From what I understand, the lvm2 has the static-lib USE, so that it can be
> statically build to be included in a initramfs. So that a root LVM2 volume
> can be activated, before it is acutally mounted.

I am using an encrypted partition as rootfs. The current genkernel version (3.4.47) is intelligent enough to be able to use non-static cryptsetup by automatically adding necessary libraries to initramfs.

Check if it works with non-static lvm2; if it doesn't, please file a bug against genkernel.

(Also, you don't need USE=static-libs for lvm2. Even with old, broken genkernel versions, you only needed USE=static.)
Comment 33 Frank Ridderbusch 2013-07-31 20:38:48 UTC
(In reply to Alexandre Rostovtsev from comment #32)
> (In reply to Frank Ridderbusch from comment #31)
> > … but, what about systems, which have have the root fs on a LVM2 volume.
> > (I'm struggling with this).
> > 
> > From what I understand, the lvm2 has the static-lib USE, so that it can be
> > statically build to be included in a initramfs. So that a root LVM2 volume
> > can be activated, before it is acutally mounted.
> 
> I am using an encrypted partition as rootfs. The current genkernel version
> (3.4.47) is intelligent enough to be able to use non-static cryptsetup by
> automatically adding necessary libraries to initramfs.
> 
> Check if it works with non-static lvm2; if it doesn't, please file a bug
> against genkernel.
> 
> (Also, you don't need USE=static-libs for lvm2. Even with old, broken
> genkernel versions, you only needed USE=static.)

Well, you're correct. I stand corrected.

I rebuild the initramfs after rebuilding LVM2 with -static-lib and compared
the old and new files. Compared by filesize and number of files (except two
secondary files) they were actually identical.
Comment 34 Juergen Rose 2013-08-03 20:45:04 UTC
(In reply to Frank Ridderbusch from comment #33)
> (In reply to Alexandre Rostovtsev from comment #32)
> > (In reply to Frank Ridderbusch from comment #31)
> > > … but, what about systems, which have have the root fs on a LVM2 volume.
> > > (I'm struggling with this).
> > > 
> > > From what I understand, the lvm2 has the static-lib USE, so that it can be
> > > statically build to be included in a initramfs. So that a root LVM2 volume
> > > can be activated, before it is acutally mounted.
> > 
> > I am using an encrypted partition as rootfs. The current genkernel version
> > (3.4.47) is intelligent enough to be able to use non-static cryptsetup by
> > automatically adding necessary libraries to initramfs.
> > 
> > Check if it works with non-static lvm2; if it doesn't, please file a bug
> > against genkernel.
> > 
> > (Also, you don't need USE=static-libs for lvm2. Even with old, broken
> > genkernel versions, you only needed USE=static.)
> 
> Well, you're correct. I stand corrected.
> 
> I rebuild the initramfs after rebuilding LVM2 with -static-lib and compared
> the old and new files. Compared by filesize and number of files (except two
> secondary files) they were actually identical.


And can you boot your systems with init=systemd, where the root files system is on a LVM2 volume?
I seems me, that the /usr filesystem, which I have on a lvm2 volume, is the reason that my systems does not boot with init=systemd.